package apemanager_test

import (
	"testing"

	apemanagertest "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/apemanager/test"
	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/rpc/message"
	messagetest "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/rpc/message/test"
)

func TestMessageConvert(t *testing.T) {
	messagetest.TestRPCMessage(t,
		func(empty bool) message.Message { return apemanagertest.GenerateAddChainRequestBody(empty) },
		func(empty bool) message.Message { return apemanagertest.GenerateAddChainRequest(empty) },
		func(empty bool) message.Message { return apemanagertest.GenerateAddChainResponseBody(empty) },
		func(empty bool) message.Message { return apemanagertest.GenerateAddChainResponse(empty) },
		func(empty bool) message.Message { return apemanagertest.GenerateRemoveChainRequestBody(empty) },
		func(empty bool) message.Message { return apemanagertest.GenerateRemoveChainRequest(empty) },
		func(empty bool) message.Message { return apemanagertest.GenerateRemoveChainResponseBody(empty) },
		func(empty bool) message.Message { return apemanagertest.GenerateRemoveChainResponse(empty) },
		func(empty bool) message.Message { return apemanagertest.GenerateListChainsRequestBody(empty) },
		func(empty bool) message.Message { return apemanagertest.GenerateListChainsRequest(empty) },
		func(empty bool) message.Message { return apemanagertest.GenerateListChainsResponseBody(empty) },
		func(empty bool) message.Message { return apemanagertest.GenerateListChainsResponse(empty) },
	)
}
