package status_test

import (
	"testing"

	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/rpc/message"
	messagetest "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/rpc/message/test"
	statustest "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/status/test"
)

func TestMessageConvert(t *testing.T) {
	messagetest.TestRPCMessage(t,
		func(empty bool) message.Message { return statustest.Detail(empty) },
		func(empty bool) message.Message { return statustest.Status(empty) },
	)
}
