module git.frostfs.info/TrueCloudLab/frostfs-sdk-go

go 1.22

require (
	git.frostfs.info/TrueCloudLab/frostfs-contract v0.19.3-0.20240621131249-49e5270f673e
	git.frostfs.info/TrueCloudLab/frostfs-crypto v0.6.0
	git.frostfs.info/TrueCloudLab/hrw v1.2.1
	git.frostfs.info/TrueCloudLab/tzhash v1.8.0
	github.com/VictoriaMetrics/easyproto v0.1.4
	github.com/antlr4-go/antlr/v4 v4.13.1
	github.com/google/uuid v1.6.0
	github.com/hashicorp/golang-lru/v2 v2.0.7
	github.com/klauspost/reedsolomon v1.12.1
	github.com/mailru/easyjson v0.7.7
	github.com/mr-tron/base58 v1.2.0
	github.com/nspcc-dev/neo-go v0.106.2
	github.com/stretchr/testify v1.9.0
	go.uber.org/zap v1.27.0
	golang.org/x/sync v0.7.0
	google.golang.org/grpc v1.66.2
	google.golang.org/protobuf v1.34.1
	gopkg.in/yaml.v3 v3.0.1
)

require (
	git.frostfs.info/TrueCloudLab/rfc6979 v0.4.0 // indirect
	github.com/davecgh/go-spew v1.1.1 // indirect
	github.com/decred/dcrd/dcrec/secp256k1/v4 v4.2.0 // indirect
	github.com/golang/snappy v0.0.1 // indirect
	github.com/gorilla/websocket v1.5.1 // indirect
	github.com/josharian/intern v1.0.0 // indirect
	github.com/klauspost/cpuid/v2 v2.2.6 // indirect
	github.com/kr/pretty v0.1.0 // indirect
	github.com/nspcc-dev/go-ordered-json v0.0.0-20240301084351-0246b013f8b2 // indirect
	github.com/nspcc-dev/neo-go/pkg/interop v0.0.0-20240521091047-78685785716d // indirect
	github.com/nspcc-dev/rfc6979 v0.2.1 // indirect
	github.com/pmezard/go-difflib v1.0.0 // indirect
	github.com/syndtr/goleveldb v1.0.1-0.20210305035536-64b5b1c73954 // indirect
	github.com/twmb/murmur3 v1.1.8 // indirect
	go.etcd.io/bbolt v1.3.9 // indirect
	go.uber.org/multierr v1.11.0 // indirect
	golang.org/x/crypto v0.24.0 // indirect
	golang.org/x/exp v0.0.0-20240506185415-9bf2ced13842 // indirect
	golang.org/x/net v0.26.0 // indirect
	golang.org/x/sys v0.21.0 // indirect
	golang.org/x/text v0.16.0 // indirect
	google.golang.org/genproto/googleapis/rpc v0.0.0-20240604185151-ef581f913117 // indirect
	gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15 // indirect
)
