package accounting_test

import (
	"testing"

	accountingtest "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/accounting/test"
	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/rpc/message"
	messagetest "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/rpc/message/test"
)

func TestMessage(t *testing.T) {
	messagetest.TestRPCMessage(t,
		func(empty bool) message.Message { return accountingtest.GenerateDecimal(empty) },
		func(empty bool) message.Message { return accountingtest.GenerateBalanceRequestBody(empty) },
		func(empty bool) message.Message { return accountingtest.GenerateBalanceRequest(empty) },
		func(empty bool) message.Message { return accountingtest.GenerateBalanceResponseBody(empty) },
		func(empty bool) message.Message { return accountingtest.GenerateBalanceResponse(empty) },
	)
}
