package container

import (
	container "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/container/grpc"
	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/rpc/message"
)

func (a *Attribute) MarshalJSON() ([]byte, error) {
	return message.MarshalJSON(a)
}

func (a *Attribute) UnmarshalJSON(data []byte) error {
	return message.UnmarshalJSON(a, data, new(container.Container_Attribute))
}

func (c *Container) MarshalJSON() ([]byte, error) {
	return message.MarshalJSON(c)
}

func (c *Container) UnmarshalJSON(data []byte) error {
	return message.UnmarshalJSON(c, data, new(container.Container))
}
